NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Weld::WeldPointBuilder Class Reference

Represents a Spot Weld feature
To create a new instance of this class, use NXOpen::Weld::WeldManager::CreateWeldPointBuilder
Default values. More...

Inheritance diagram for NXOpen::Weld::WeldPointBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

void CalculateDatumMeasurementDefaultDirection ()
 Calculate location and default direction of datum and measurement, need to set the current point prior to calling this method
Created in NX7.5.5. More...
 
void CalculateWeldPoints (std::vector< NXOpen::Point3d > &points)
 To calculate all weld points
Created in NX6.0.0. More...
 
void ClearFaceSets ()
 The clear for all existed facesets
Created in NX6.0.0. More...
 
void CommitFaceSets ()
 
Created in NX6.0.0. More...
 
void CommitReferenceSheets (NXOpen::Weld::WeldOverlapStatus createStatus)
 The commit for reference sheets
Created in NX6.0.0. More...
 
void CommitSection (NXOpen::Section *path)
 Commit created section
Created in NX6.0.0. More...
 
bool ConnectingOnlyOnePart ()
 Returns
Created in NX6.0.0. More...
 
NXOpen::SectionCreateCenterLine ()
 To create center line. More...
 
NXOpen::SectionCreateOffsetCurve ()
 Create offset curve. More...
 
NXOpen::SectionCreateSectionPlaneCurves ()
 Create section curve. More...
 
void CreateSingleWeldPoint (const NXOpen::Point3d &pointCoord)
 The creation for single weld point
Created in NX6.0.0. More...
 
NXOpen::Weld::WeldCreationDirection CreationDirection ()
 Returns the creation direction type. More...
 
bool CsysAssemblyState ()
 Returns the assy coordinate system state
Created in NX6.0.0. More...
 
bool CsysWorkPartState ()
 Returns the work coordinate systemstate
Created in NX6.0.0. More...
 
double CustomCylinderAbove ()
 Returns the distance the custom cylinder should be created above the weld point
Created in NX6.0.0. More...
 
double CustomRadius ()
 Returns the radius to create the sphere, cylinder, or cone with
Created in NX6.0.0. More...
 
double CustomTotalCylinderLength ()
 Returns the total length of the cylinder to be created. More...
 
NXOpen::Weld::WeldDatumControlDirection DatumFirstReferenceDirection ()
 Returns the datum reference direction type. More...
 
NXOpen::Weld::WeldDatumControlDirection DatumMajorDirection ()
 Returns the datum major direction type. More...
 
NXOpen::Weld::WeldDatumControlDirection DatumSecondReferenceDirection ()
 Returns the datum reference direction type. More...
 
double DistanceTolerance ()
 Returns the distance tolerance for the weld point
Created in NX6.0.0. More...
 
NXString EndDistance ()
 Returns the end dist
Created in NX6.0.0. More...
 
NXOpen::Weld::WeldParasetLocation EndDistanceLocation ()
 Returns the end dist location
Created in NX6.0.0. More...
 
NXOpen::Weld::WeldPointExtendMethod ExtendMethod ()
 Returns the offset curve extend method. More...
 
void FlipZAxis ()
 Flip the z axis
Created in NX6.0.0. More...
 
void GetCsys (NXOpen::Point3d *origin, NXOpen::Matrix3x3 *matrix)
 Get coordinate system for point
Created in NX8.0.0. More...
 
int GetCurrentReferenceSheet ()
 The current refsheet. More...
 
void GetFaceSet (int facesetIndex, std::vector< NXOpen::DisplayableObject * > &objects, std::vector< NXOpen::Features::Feature * > &frecs)
 Gets the user selected faces for the indicated face set
Created in NX6.0.0. More...
 
NXOpen::SectionGetFirstSection ()
 Get the first section. More...
 
void GetMirrorTranslateReferenceObjects (std::vector< NXOpen::DisplayableObject * > &objects)
 Get mirror translate reference objects
Created in NX8.0.0. More...
 
int GetNumFaceSets ()
 Get the amount of face sets. More...
 
NXOpen::Features::FeatureGetReferenceSheets ()
 The refernence sheet feature. More...
 
NXOpen::SectionGetSecondSection ()
 Get the second section. More...
 
void GetSectionCurves (NXOpen::Section *section, std::vector< NXOpen::Curve * > &curves)
 Gets the curves contained in the input section
Created in NX10.0.0. More...
 
NXOpen::Weld::WeldPointLocation Location ()
 Returns the processing method to use for generating weld points along reference section(s)
Created in NX6.0.0. More...
 
double MeasurementDefaultHeight ()
 Returns the default height of the object for measurement to be created. More...
 
double MeasurementDefaultWidth ()
 Returns the default width of the object for measurement to be created. More...
 
double MeasurementHoleSize ()
 Returns the hole_size of the object for measurement to be created. More...
 
double MeasurementSlotLength ()
 Returns the slot height of the object for measurement to be created. More...
 
double MeasurementSlotWidth ()
 Returns the slot width of the object for measurement to be created. More...
 
double MeasurementStudSize ()
 Returns the stud size of the object for measurement to be created. More...
 
bool MirrorByType ()
 Returns the mirror by type
Created in NX6.0.0. More...
 
NXOpen::PlaneMirrorPlane ()
 Returns the plane that a point is to be mirrored about. More...
 
void MovePoint (const NXOpen::Point3d &origin)
 Move selected points
Created in NX6.0.0. More...
 
int NumberConnectedPanels ()
 Returns the num connected panels. More...
 
NXString OffsetDistance ()
 Returns the offset distance from edges in guide_collector1 to place weld points
Created in NX6.0.0. More...
 
NXOpen::Weld::OutputType OutputType ()
 Returns the output type. More...
 
NXOpen::Weld::WeldPointMethod PointMethod ()
 Returns the method for creating weld points. More...
 
double PointsGuideDistance ()
 Returns the distance percentage from the start of the curve where the weld point should be. More...
 
NXOpen::Vector3d ProjectDirection ()
 Returns the project direction
Created in NX6.0.0. More...
 
NXOpen::DirectionProjectDirectionObject ()
 Returns the project direction NXOpen object
Created in NX6.0.0. More...
 
NXOpen::Weld::WeldProjectionMethod ProjectionMethod ()
 Returns the project method type. More...
 
void ProjectPoints ()
 Project selected points along the specified vector to reference sheets
Created in NX8.0.0. More...
 
NXOpen::Weld::WeldPointSpacingMethod ReferenceSheetSpacingMethod ()
 Returns the refsheet spacing method
Created in NX6.0.0. More...
 
NXOpen::Weld::WeldPointReferenceSheetType ReferenceSheetType ()
 Returns the type of sheet to create to place weld points on. More...
 
void RemoveCharacteristics (const NXString &attrTitle, NXOpen::Weld::WeldAttribType attrType, const NXString &attrValue)
 Remove characteristics for selected points, need to set the current point prior to calling this method
Created in NX7.5.5. More...
 
void RemoveCharacteristics (const char *attrTitle, NXOpen::Weld::WeldAttribType attrType, const char *attrValue)
 Remove characteristics for selected points, need to set the current point prior to calling this method
Created in NX7.5.5. More...
 
void RemoveWeldPoint ()
 Remove the current selected point, need to set the current point prior to calling this method
Created in NX7.5.5. More...
 
NXOpen::PlaneSectionPlaneEntity ()
 Returns
Created in NX6.0.0. More...
 
int SequenceNumber ()
 Returns the sequence number for the weld point feature. More...
 
void SetCharacteristics (const NXString &attrTitle, NXOpen::Weld::WeldAttribType attrType, const NXString &attrValue)
 Set or edit characteristics for selected points
Created in NX6.0.0. More...
 
void SetCharacteristics (const char *attrTitle, NXOpen::Weld::WeldAttribType attrType, const char *attrValue)
 Set or edit characteristics for selected points
Created in NX6.0.0. More...
 
void SetConnectingOnlyOnePart (bool connectingOnlyOnePart)
 Sets
Created in NX6.0.0. More...
 
void SetCreationDirection (NXOpen::Weld::WeldCreationDirection creationDirection)
 Sets the creation direction type. More...
 
void SetCsysAssemblyState (bool assyCsysState)
 Sets the assy coordinate system state
Created in NX6.0.0. More...
 
void SetCsysWorkPartState (bool workCsysState)
 Sets the work coordinate systemstate
Created in NX6.0.0. More...
 
void SetCurrentReferenceSheet (int currentRefSheet)
 Set current refsheet
Created in NX6.0.0. More...
 
void SetCustomCylinderAbove (double customCylinderAbove)
 Sets the distance the custom cylinder should be created above the weld point
Created in NX6.0.0. More...
 
void SetCustomRadius (double customRadius)
 Sets the radius to create the sphere, cylinder, or cone with
Created in NX6.0.0. More...
 
void SetCustomTotalCylinderLength (double totalCylinderLength)
 Sets the total length of the cylinder to be created. More...
 
void SetDatumFirstReferenceDirection (NXOpen::Weld::WeldDatumControlDirection datumRefDir)
 Sets the datum reference direction type. More...
 
void SetDatumMajorDirection (NXOpen::Weld::WeldDatumControlDirection datumMajorDir)
 Sets the datum major direction type. More...
 
void SetDatumSecondReferenceDirection (NXOpen::Weld::WeldDatumControlDirection datumRefDir)
 Sets the datum reference direction type. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance for the weld point
Created in NX6.0.0. More...
 
void SetEndDistance (const NXString &endDistStr)
 Sets the end dist
Created in NX6.0.0. More...
 
void SetEndDistance (const char *endDistStr)
 Sets the end dist
Created in NX6.0.0. More...
 
void SetEndDistanceLocation (NXOpen::Weld::WeldParasetLocation endDistLocation)
 Sets the end dist location
Created in NX6.0.0. More...
 
void SetExtendMethod (NXOpen::Weld::WeldPointExtendMethod extendMethod)
 Sets the offset curve extend method. More...
 
void SetFaceSet (NXOpen::Weld::WeldFacesetIndex facesetIndex, const std::vector< NXOpen::DisplayableObject * > &objects)
 Sets the user selected faces for the indicated face set
Created in NX6.0.0. More...
 
void SetFirstSection (NXOpen::Section *section)
 The commit for first section
Created in NX6.0.0. More...
 
void SetLocation (NXOpen::Weld::WeldPointLocation location)
 Sets the processing method to use for generating weld points along reference section(s)
Created in NX6.0.0. More...
 
void SetMeasurementDefaultHeight (double measurementDefaultHeight)
 Sets the default height of the object for measurement to be created. More...
 
void SetMeasurementDefaultWidth (double measurementDefaultWidth)
 Sets the default width of the object for measurement to be created. More...
 
void SetMeasurementHoleSize (double holeSize)
 Sets the hole_size of the object for measurement to be created. More...
 
void SetMeasurementSlotLength (double slotLength)
 Sets the slot height of the object for measurement to be created. More...
 
void SetMeasurementSlotWidth (double slotWidth)
 Sets the slot width of the object for measurement to be created. More...
 
void SetMeasurementStudSize (double studSize)
 Sets the stud size of the object for measurement to be created. More...
 
void SetMirrorByType (bool mirrorByType)
 Sets the mirror by type
Created in NX6.0.0. More...
 
void SetMirrorPlane (NXOpen::Plane *mirrorPlane)
 Sets the plane that a point is to be mirrored about. More...
 
void SetMirrorTranslateReferenceObjects (const std::vector< NXOpen::TaggedObject * > &refs)
 Add or remove mirror translate reference objects
Created in NX7.5.5. More...
 
void SetNumberConnectedPanels (int numConnectedPanels)
 Sets the num connected panels. More...
 
void SetOffsetDistance (const NXString &offsetDistance)
 Sets the offset distance from edges in guide_collector1 to place weld points
Created in NX6.0.0. More...
 
void SetOffsetDistance (const char *offsetDistance)
 Sets the offset distance from edges in guide_collector1 to place weld points
Created in NX6.0.0. More...
 
void SetOutputType (NXOpen::Weld::OutputType outputType)
 Sets the output type. More...
 
void SetPoint (int index)
 Set the selected point
Created in NX6.0.0. More...
 
void SetPointMethod (NXOpen::Weld::WeldPointMethod ptMethod)
 Sets the method for creating weld points. More...
 
void SetPointsGuideDistance (double pointsGuideDist)
 Sets the distance percentage from the start of the curve where the weld point should be. More...
 
void SetProjectDirection (const NXOpen::Vector3d &direction)
 Sets the project direction
Created in NX6.0.0. More...
 
void SetProjectDirectionObject (NXOpen::Direction *direction)
 Sets the project direction NXOpen object
Created in NX6.0.0. More...
 
void SetProjectionMethod (NXOpen::Weld::WeldProjectionMethod projMethod)
 Sets the project method type. More...
 
void SetReferenceSheetSpacingMethod (NXOpen::Weld::WeldPointSpacingMethod spacingMethod)
 Sets the refsheet spacing method
Created in NX6.0.0. More...
 
void SetReferenceSheetType (NXOpen::Weld::WeldPointReferenceSheetType refSheetType)
 Sets the type of sheet to create to place weld points on. More...
 
void SetSecondSection (NXOpen::Section *section)
 Create second section
Created in NX6.0.0. More...
 
void SetSectionPlaneEntity (NXOpen::Plane *plane)
 Sets
Created in NX6.0.0. More...
 
void SetSelectionType (NXOpen::Weld::WeldSelectionType selectionType)
 Set the selection type
Created in NX6.0.0. More...
 
void SetSequenceNumber (int sequenceNumber)
 Sets the sequence number for the weld point feature. More...
 
void SetShowThroughAssemblyState (bool thruAssyState)
 Sets the through assy coordinate system state
Created in NX6.0.0. More...
 
void SetShowThroughWorkPartState (bool thruWorkState)
 Sets the through work coordinate system state
Created in NX6.0.0. More...
 
void SetSizeMethod (NXOpen::Weld::WeldMeasurementSizeMethod sizeMethod)
 Sets the measurement size method. More...
 
void SetSolidType (NXOpen::Weld::WeldCustom solidType)
 Sets the output solid type. More...
 
void SetSpacingCalculateMethod (NXOpen::Weld::WeldSpacingCalcMethod spacingCalcMethod)
 Sets the project method type. More...
 
void SetSpacingNumber (const NXString &spacingOrNumberStr)
 Sets the spacing number
Created in NX6.0.0. More...
 
void SetSpacingNumber (const char *spacingOrNumberStr)
 Sets the spacing number
Created in NX6.0.0. More...
 
void SetStartDistance (const NXString &startDistStr)
 Sets the start dist
Created in NX6.0.0. More...
 
void SetStartDistance (const char *startDistStr)
 Sets the start dist
Created in NX6.0.0. More...
 
void SetStartDistanceLocation (NXOpen::Weld::WeldParasetLocation startDistLocation)
 Sets the start dist location
Created in NX6.0.0. More...
 
void SetTranslateCsys (NXOpen::CoordinateSystem *translateCsys)
 Sets the coordinate system that a point is to be translated about. More...
 
void SetTranslateXDistance (const NXString &transXDistStr)
 Sets the tran x dist
Created in NX6.0.0. More...
 
void SetTranslateXDistance (const char *transXDistStr)
 Sets the tran x dist
Created in NX6.0.0. More...
 
void SetTranslateYDistance (const NXString &transYDistStr)
 Sets the trans y dist
Created in NX6.0.0. More...
 
void SetTranslateYDistance (const char *transYDistStr)
 Sets the trans y dist
Created in NX6.0.0. More...
 
void SetTranslateZDistance (const NXString &transZDistStr)
 Sets the translate distance for weld points in z axis direction. More...
 
void SetTranslateZDistance (const char *transZDistStr)
 Sets the translate distance for weld points in z axis direction. More...
 
void SetWeldType (NXOpen::Weld::WeldFeatureSetType curWeldType)
 Sets the weld type. More...
 
bool ShowThroughAssemblyState ()
 Returns the through assy coordinate system state
Created in NX6.0.0. More...
 
bool ShowThroughWorkPartState ()
 Returns the through work coordinate system state
Created in NX6.0.0. More...
 
NXOpen::Weld::WeldMeasurementSizeMethod SizeMethod ()
 Returns the measurement size method. More...
 
NXOpen::Weld::WeldCustom SolidType ()
 Returns the output solid type. More...
 
NXOpen::Weld::WeldSpacingCalcMethod SpacingCalculateMethod ()
 Returns the project method type. More...
 
NXString SpacingNumber ()
 Returns the spacing number
Created in NX6.0.0. More...
 
NXString StartDistance ()
 Returns the start dist
Created in NX6.0.0. More...
 
NXOpen::Weld::WeldParasetLocation StartDistanceLocation ()
 Returns the start dist location
Created in NX6.0.0. More...
 
NXOpen::CoordinateSystemTranslateCsys ()
 Returns the coordinate system that a point is to be translated about. More...
 
NXString TranslateXDistance ()
 Returns the tran x dist
Created in NX6.0.0. More...
 
NXString TranslateYDistance ()
 Returns the trans y dist
Created in NX6.0.0. More...
 
NXString TranslateZDistance ()
 Returns the translate distance for weld points in z axis direction. More...
 
void UpdateCsys (const NXOpen::Point3d &origin, const NXOpen::Matrix3x3 &matrix)
 Update coordinate system for selected points
Created in NX6.0.0. More...
 
void UpdateFirstSection (NXOpen::Section *totalSection)
 Update first section
Created in NX6.0.0. More...
 
void UpdateSecondSection (NXOpen::Section *totalSection)
 Update second section
Created in NX6.0.0. More...
 
NXOpen::Weld::WeldFeatureSetType WeldType ()
 Returns the weld type. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Spot Weld feature
To create a new instance of this class, use NXOpen::Weld::WeldManager::CreateWeldPointBuilder
Default values.

Property Value

ConnectingOnlyOnePart

false

CreationDirection

Default

CsysAssemblyState

false

CsysWorkPartState

false

CustomCylinderAbove

0.5 (millimeters part), 0.02 (inches part)

CustomRadius

0.5 (millimeters part), 0.02 (inches part)

CustomTotalCylinderLength

1 (millimeters part), 0.04 (inches part)

DatumFirstReferenceDirection

X

DatumMajorDirection

X

DatumSecondReferenceDirection

X

DistanceTolerance

0.025 (millimeters part), 0.001 (inches part)

EndDistance

6.25 (millimeters part), 0.25 (inches part)

EndDistanceLocation

Length

ExtendMethod

Boundary

Location

AlongGuideEdge

MeasurementDefaultHeight

10 (millimeters part), 0.4 (inches part)

MeasurementDefaultWidth

3 (millimeters part), 0.12 (inches part)

MeasurementHoleSize

0.0 (millimeters part), 0.0 (inches part)

MeasurementSlotLength

0.0 (millimeters part), 0.0 (inches part)

MeasurementSlotWidth

0.0 (millimeters part), 0.0 (inches part)

MeasurementStudSize

0.0 (millimeters part), 0 (inches part)

MirrorByType

false

NumberConnectedPanels

2

OffsetDistance

6.25 (millimeters part), 0.25 (inches part)

OutputType

Fixed

PointMethod

Multiple

PointsGuideDistance

0.0 (millimeters part), 0.0 (inches part)

ProjectionMethod

None

ReferenceSheetSpacingMethod

Distance

ReferenceSheetType

Overlap

ShowThroughAssemblyState

false

ShowThroughWorkPartState

false

SizeMethod

Auto

SolidType

SolidNone

SpacingCalculateMethod

Arclength

SpacingNumber

12.5 (millimeters part), 0.5 (inches part)

StartDistance

6.25 (millimeters part), 0.25 (inches part)

StartDistanceLocation

Length

TranslateXDistance

0 (millimeters part), 0 (inches part)

TranslateYDistance

0 (millimeters part), 0 (inches part)

TranslateZDistance

0 (millimeters part), 0 (inches part)

WeldType

ResistanceSpot


Created in NX6.0.0.

Member Function Documentation

void NXOpen::Weld::WeldPointBuilder::CalculateDatumMeasurementDefaultDirection ( )

Calculate location and default direction of datum and measurement, need to set the current point prior to calling this method
Created in NX7.5.5.



License requirements : ugweld ("UG WELD")

void NXOpen::Weld::WeldPointBuilder::CalculateWeldPoints ( std::vector< NXOpen::Point3d > &  points)

To calculate all weld points
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
pointsweld points
void NXOpen::Weld::WeldPointBuilder::ClearFaceSets ( )

The clear for all existed facesets
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

void NXOpen::Weld::WeldPointBuilder::CommitFaceSets ( )


Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

void NXOpen::Weld::WeldPointBuilder::CommitReferenceSheets ( NXOpen::Weld::WeldOverlapStatus  createStatus)

The commit for reference sheets
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
createStatuscreate status
void NXOpen::Weld::WeldPointBuilder::CommitSection ( NXOpen::Section path)

Commit created section
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
paththe created path
bool NXOpen::Weld::WeldPointBuilder::ConnectingOnlyOnePart ( )

Returns
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Section* NXOpen::Weld::WeldPointBuilder::CreateCenterLine ( )

To create center line.

Returns

Created in NX6.0.0.

License requirements : ugweld ("UG WELD")
NXOpen::Section* NXOpen::Weld::WeldPointBuilder::CreateOffsetCurve ( )

Create offset curve.

Returns

Created in NX6.0.0.

License requirements : ugweld ("UG WELD")
NXOpen::Section* NXOpen::Weld::WeldPointBuilder::CreateSectionPlaneCurves ( )

Create section curve.

Returns
section curve
Created in NX7.0.0.

License requirements : ugweld ("UG WELD")
void NXOpen::Weld::WeldPointBuilder::CreateSingleWeldPoint ( const NXOpen::Point3d pointCoord)

The creation for single weld point
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
pointCoordpoint coordinate
NXOpen::Weld::WeldCreationDirection NXOpen::Weld::WeldPointBuilder::CreationDirection ( )

Returns the creation direction type.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

bool NXOpen::Weld::WeldPointBuilder::CsysAssemblyState ( )

Returns the assy coordinate system state
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

bool NXOpen::Weld::WeldPointBuilder::CsysWorkPartState ( )

Returns the work coordinate systemstate
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

double NXOpen::Weld::WeldPointBuilder::CustomCylinderAbove ( )

Returns the distance the custom cylinder should be created above the weld point
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

double NXOpen::Weld::WeldPointBuilder::CustomRadius ( )

Returns the radius to create the sphere, cylinder, or cone with
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

double NXOpen::Weld::WeldPointBuilder::CustomTotalCylinderLength ( )

Returns the total length of the cylinder to be created.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldDatumControlDirection NXOpen::Weld::WeldPointBuilder::DatumFirstReferenceDirection ( )

Returns the datum reference direction type.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldDatumControlDirection NXOpen::Weld::WeldPointBuilder::DatumMajorDirection ( )

Returns the datum major direction type.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldDatumControlDirection NXOpen::Weld::WeldPointBuilder::DatumSecondReferenceDirection ( )

Returns the datum reference direction type.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

double NXOpen::Weld::WeldPointBuilder::DistanceTolerance ( )

Returns the distance tolerance for the weld point
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

NXString NXOpen::Weld::WeldPointBuilder::EndDistance ( )

Returns the end dist
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldParasetLocation NXOpen::Weld::WeldPointBuilder::EndDistanceLocation ( )

Returns the end dist location
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldPointExtendMethod NXOpen::Weld::WeldPointBuilder::ExtendMethod ( )

Returns the offset curve extend method.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

void NXOpen::Weld::WeldPointBuilder::FlipZAxis ( )

Flip the z axis
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

void NXOpen::Weld::WeldPointBuilder::GetCsys ( NXOpen::Point3d origin,
NXOpen::Matrix3x3 matrix 
)

Get coordinate system for point
Created in NX8.0.0.



License requirements : ugweld ("UG WELD")

Parameters
originorigin point
matrixrotate matrix
int NXOpen::Weld::WeldPointBuilder::GetCurrentReferenceSheet ( )

The current refsheet.

Returns

Created in NX6.0.0.

License requirements : ugweld ("UG WELD")
void NXOpen::Weld::WeldPointBuilder::GetFaceSet ( int  facesetIndex,
std::vector< NXOpen::DisplayableObject * > &  objects,
std::vector< NXOpen::Features::Feature * > &  frecs 
)

Gets the user selected faces for the indicated face set
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
facesetIndexWhich faceset to get the faces for. 0 is the first
objectsthe face set reference objects
frecsthe face set wave linked frecs
NXOpen::Section* NXOpen::Weld::WeldPointBuilder::GetFirstSection ( )

Get the first section.

For guide curves method, this section contains curves that used to create weld path, For centerline method, this section contians the first group of curves used to create centerline

Returns
the section
Created in NX8.0.0.

License requirements : ugweld ("UG WELD")
void NXOpen::Weld::WeldPointBuilder::GetMirrorTranslateReferenceObjects ( std::vector< NXOpen::DisplayableObject * > &  objects)

Get mirror translate reference objects
Created in NX8.0.0.



License requirements : ugweld ("UG WELD")

Parameters
objectsthe mirror translate reference objects
int NXOpen::Weld::WeldPointBuilder::GetNumFaceSets ( )

Get the amount of face sets.

Returns
total amount of face sets
Created in NX8.0.0.

License requirements : ugweld ("UG WELD")
NXOpen::Features::Feature* NXOpen::Weld::WeldPointBuilder::GetReferenceSheets ( )

The refernence sheet feature.

Returns
the reference sheet
Created in NX8.0.0.

License requirements : ugweld ("UG WELD")
NXOpen::Section* NXOpen::Weld::WeldPointBuilder::GetSecondSection ( )

Get the second section.

this method for centerline method weld only, this section contains the second group of curves used to create centerline

Returns
the section
Created in NX8.0.0.

License requirements : ugweld ("UG WELD")
void NXOpen::Weld::WeldPointBuilder::GetSectionCurves ( NXOpen::Section section,
std::vector< NXOpen::Curve * > &  curves 
)

Gets the curves contained in the input section
Created in NX10.0.0.



License requirements : ugweld ("UG WELD")

Parameters
sectionthe section container for the curves
curvesthe curves of the section
NXOpen::Weld::WeldPointLocation NXOpen::Weld::WeldPointBuilder::Location ( )

Returns the processing method to use for generating weld points along reference section(s)
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

double NXOpen::Weld::WeldPointBuilder::MeasurementDefaultHeight ( )

Returns the default height of the object for measurement to be created.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

double NXOpen::Weld::WeldPointBuilder::MeasurementDefaultWidth ( )

Returns the default width of the object for measurement to be created.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

double NXOpen::Weld::WeldPointBuilder::MeasurementHoleSize ( )

Returns the hole_size of the object for measurement to be created.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

double NXOpen::Weld::WeldPointBuilder::MeasurementSlotLength ( )

Returns the slot height of the object for measurement to be created.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

double NXOpen::Weld::WeldPointBuilder::MeasurementSlotWidth ( )

Returns the slot width of the object for measurement to be created.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

double NXOpen::Weld::WeldPointBuilder::MeasurementStudSize ( )

Returns the stud size of the object for measurement to be created.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

bool NXOpen::Weld::WeldPointBuilder::MirrorByType ( )

Returns the mirror by type
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Plane* NXOpen::Weld::WeldPointBuilder::MirrorPlane ( )

Returns the plane that a point is to be mirrored about.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

void NXOpen::Weld::WeldPointBuilder::MovePoint ( const NXOpen::Point3d origin)

Move selected points
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
originthe new position to be located
int NXOpen::Weld::WeldPointBuilder::NumberConnectedPanels ( )

Returns the num connected panels.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

NXString NXOpen::Weld::WeldPointBuilder::OffsetDistance ( )

Returns the offset distance from edges in guide_collector1 to place weld points
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::OutputType NXOpen::Weld::WeldPointBuilder::OutputType ( )

Returns the output type.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldPointMethod NXOpen::Weld::WeldPointBuilder::PointMethod ( )

Returns the method for creating weld points.

Weld points can be created using guide entities or Point objects.
Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

double NXOpen::Weld::WeldPointBuilder::PointsGuideDistance ( )

Returns the distance percentage from the start of the curve where the weld point should be.

0.0 is the start of the curve 100.0 is the end of the curve.
Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

NXOpen::Vector3d NXOpen::Weld::WeldPointBuilder::ProjectDirection ( )

Returns the project direction
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Direction* NXOpen::Weld::WeldPointBuilder::ProjectDirectionObject ( )

Returns the project direction NXOpen object
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldProjectionMethod NXOpen::Weld::WeldPointBuilder::ProjectionMethod ( )

Returns the project method type.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

void NXOpen::Weld::WeldPointBuilder::ProjectPoints ( )

Project selected points along the specified vector to reference sheets
Created in NX8.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldPointSpacingMethod NXOpen::Weld::WeldPointBuilder::ReferenceSheetSpacingMethod ( )

Returns the refsheet spacing method
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldPointReferenceSheetType NXOpen::Weld::WeldPointBuilder::ReferenceSheetType ( )

Returns the type of sheet to create to place weld points on.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

void NXOpen::Weld::WeldPointBuilder::RemoveCharacteristics ( const NXString attrTitle,
NXOpen::Weld::WeldAttribType  attrType,
const NXString attrValue 
)

Remove characteristics for selected points, need to set the current point prior to calling this method
Created in NX7.5.5.



License requirements : ugweld ("UG WELD")

Parameters
attrTitleattribute title
attrTypeattribute type
attrValueattribute value
void NXOpen::Weld::WeldPointBuilder::RemoveCharacteristics ( const char *  attrTitle,
NXOpen::Weld::WeldAttribType  attrType,
const char *  attrValue 
)

Remove characteristics for selected points, need to set the current point prior to calling this method
Created in NX7.5.5.



License requirements : ugweld ("UG WELD")

Parameters
attrTitleattribute title
attrTypeattribute type
attrValueattribute value
void NXOpen::Weld::WeldPointBuilder::RemoveWeldPoint ( )

Remove the current selected point, need to set the current point prior to calling this method
Created in NX7.5.5.



License requirements : ugweld ("UG WELD")

NXOpen::Plane* NXOpen::Weld::WeldPointBuilder::SectionPlaneEntity ( )

Returns
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

int NXOpen::Weld::WeldPointBuilder::SequenceNumber ( )

Returns the sequence number for the weld point feature.

Each Weld point feature contains a single point. If multiple Weld points are to be created, you must specify the sequence of the point you want. For example if you are expecting 3 points to be created. You must create 3 weld point features. The features will have sequence numbers 0,1 and 2.
Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

void NXOpen::Weld::WeldPointBuilder::SetCharacteristics ( const NXString attrTitle,
NXOpen::Weld::WeldAttribType  attrType,
const NXString attrValue 
)

Set or edit characteristics for selected points
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
attrTitleattribute title
attrTypeattribute type
attrValueattribute value
void NXOpen::Weld::WeldPointBuilder::SetCharacteristics ( const char *  attrTitle,
NXOpen::Weld::WeldAttribType  attrType,
const char *  attrValue 
)

Set or edit characteristics for selected points
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
attrTitleattribute title
attrTypeattribute type
attrValueattribute value
void NXOpen::Weld::WeldPointBuilder::SetConnectingOnlyOnePart ( bool  connectingOnlyOnePart)

Sets
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
connectingOnlyOnePartconnecting only one part
void NXOpen::Weld::WeldPointBuilder::SetCreationDirection ( NXOpen::Weld::WeldCreationDirection  creationDirection)

Sets the creation direction type.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
creationDirectioncreation direction type
void NXOpen::Weld::WeldPointBuilder::SetCsysAssemblyState ( bool  assyCsysState)

Sets the assy coordinate system state
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
assyCsysStateassy csys state
void NXOpen::Weld::WeldPointBuilder::SetCsysWorkPartState ( bool  workCsysState)

Sets the work coordinate systemstate
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
workCsysStateworkcsysstate
void NXOpen::Weld::WeldPointBuilder::SetCurrentReferenceSheet ( int  currentRefSheet)

Set current refsheet
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
currentRefSheetcurrent refsheet
void NXOpen::Weld::WeldPointBuilder::SetCustomCylinderAbove ( double  customCylinderAbove)

Sets the distance the custom cylinder should be created above the weld point
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
customCylinderAbovecustom cylinder above
void NXOpen::Weld::WeldPointBuilder::SetCustomRadius ( double  customRadius)

Sets the radius to create the sphere, cylinder, or cone with
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
customRadiuscustom radius
void NXOpen::Weld::WeldPointBuilder::SetCustomTotalCylinderLength ( double  totalCylinderLength)

Sets the total length of the cylinder to be created.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
totalCylinderLengthtotal cylinder length
void NXOpen::Weld::WeldPointBuilder::SetDatumFirstReferenceDirection ( NXOpen::Weld::WeldDatumControlDirection  datumRefDir)

Sets the datum reference direction type.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
datumRefDirdatum ref dir
void NXOpen::Weld::WeldPointBuilder::SetDatumMajorDirection ( NXOpen::Weld::WeldDatumControlDirection  datumMajorDir)

Sets the datum major direction type.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
datumMajorDirdatum major dir
void NXOpen::Weld::WeldPointBuilder::SetDatumSecondReferenceDirection ( NXOpen::Weld::WeldDatumControlDirection  datumRefDir)

Sets the datum reference direction type.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
datumRefDirdatum ref dir
void NXOpen::Weld::WeldPointBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance for the weld point
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
distanceTolerancedistance tolerance
void NXOpen::Weld::WeldPointBuilder::SetEndDistance ( const NXString endDistStr)

Sets the end dist
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
endDistStrexpression string
void NXOpen::Weld::WeldPointBuilder::SetEndDistance ( const char *  endDistStr)

Sets the end dist
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
endDistStrexpression string
void NXOpen::Weld::WeldPointBuilder::SetEndDistanceLocation ( NXOpen::Weld::WeldParasetLocation  endDistLocation)

Sets the end dist location
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
endDistLocationend dist location
void NXOpen::Weld::WeldPointBuilder::SetExtendMethod ( NXOpen::Weld::WeldPointExtendMethod  extendMethod)

Sets the offset curve extend method.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
extendMethodextend method
void NXOpen::Weld::WeldPointBuilder::SetFaceSet ( NXOpen::Weld::WeldFacesetIndex  facesetIndex,
const std::vector< NXOpen::DisplayableObject * > &  objects 
)

Sets the user selected faces for the indicated face set
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
facesetIndexWhich faceset to get the faces for. 0 is the first
objectsthe face set reference objects
void NXOpen::Weld::WeldPointBuilder::SetFirstSection ( NXOpen::Section section)

The commit for first section
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
sectionthe section from uicomp
void NXOpen::Weld::WeldPointBuilder::SetLocation ( NXOpen::Weld::WeldPointLocation  location)

Sets the processing method to use for generating weld points along reference section(s)
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
locationlocation
void NXOpen::Weld::WeldPointBuilder::SetMeasurementDefaultHeight ( double  measurementDefaultHeight)

Sets the default height of the object for measurement to be created.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
measurementDefaultHeightmeasurement default height
void NXOpen::Weld::WeldPointBuilder::SetMeasurementDefaultWidth ( double  measurementDefaultWidth)

Sets the default width of the object for measurement to be created.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
measurementDefaultWidthmeasurement default width
void NXOpen::Weld::WeldPointBuilder::SetMeasurementHoleSize ( double  holeSize)

Sets the hole_size of the object for measurement to be created.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
holeSizehole size
void NXOpen::Weld::WeldPointBuilder::SetMeasurementSlotLength ( double  slotLength)

Sets the slot height of the object for measurement to be created.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
slotLengthslot length
void NXOpen::Weld::WeldPointBuilder::SetMeasurementSlotWidth ( double  slotWidth)

Sets the slot width of the object for measurement to be created.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
slotWidthslot width
void NXOpen::Weld::WeldPointBuilder::SetMeasurementStudSize ( double  studSize)

Sets the stud size of the object for measurement to be created.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
studSizestud size
void NXOpen::Weld::WeldPointBuilder::SetMirrorByType ( bool  mirrorByType)

Sets the mirror by type
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
mirrorByTypemirror by type
void NXOpen::Weld::WeldPointBuilder::SetMirrorPlane ( NXOpen::Plane mirrorPlane)

Sets the plane that a point is to be mirrored about.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
mirrorPlanemirror plane
void NXOpen::Weld::WeldPointBuilder::SetMirrorTranslateReferenceObjects ( const std::vector< NXOpen::TaggedObject * > &  refs)

Add or remove mirror translate reference objects
Created in NX7.5.5.



License requirements : ugweld ("UG WELD")

Parameters
refsthe mirror translate reference objects to be added
void NXOpen::Weld::WeldPointBuilder::SetNumberConnectedPanels ( int  numConnectedPanels)

Sets the num connected panels.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
numConnectedPanelsnum connected panels
void NXOpen::Weld::WeldPointBuilder::SetOffsetDistance ( const NXString offsetDistance)

Sets the offset distance from edges in guide_collector1 to place weld points
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
offsetDistanceoffset distance
void NXOpen::Weld::WeldPointBuilder::SetOffsetDistance ( const char *  offsetDistance)

Sets the offset distance from edges in guide_collector1 to place weld points
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
offsetDistanceoffset distance
void NXOpen::Weld::WeldPointBuilder::SetOutputType ( NXOpen::Weld::OutputType  outputType)

Sets the output type.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
outputTypeoutput type
void NXOpen::Weld::WeldPointBuilder::SetPoint ( int  index)

Set the selected point
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
indexpoint index
void NXOpen::Weld::WeldPointBuilder::SetPointMethod ( NXOpen::Weld::WeldPointMethod  ptMethod)

Sets the method for creating weld points.

Weld points can be created using guide entities or Point objects.
Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
ptMethodpt method
void NXOpen::Weld::WeldPointBuilder::SetPointsGuideDistance ( double  pointsGuideDist)

Sets the distance percentage from the start of the curve where the weld point should be.

0.0 is the start of the curve 100.0 is the end of the curve.
Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
pointsGuideDistpoints guide dist
void NXOpen::Weld::WeldPointBuilder::SetProjectDirection ( const NXOpen::Vector3d direction)

Sets the project direction
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
directionProject direction
void NXOpen::Weld::WeldPointBuilder::SetProjectDirectionObject ( NXOpen::Direction direction)

Sets the project direction NXOpen object
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
directionProject direction
void NXOpen::Weld::WeldPointBuilder::SetProjectionMethod ( NXOpen::Weld::WeldProjectionMethod  projMethod)

Sets the project method type.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
projMethodproj method
void NXOpen::Weld::WeldPointBuilder::SetReferenceSheetSpacingMethod ( NXOpen::Weld::WeldPointSpacingMethod  spacingMethod)

Sets the refsheet spacing method
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
spacingMethodspacing method
void NXOpen::Weld::WeldPointBuilder::SetReferenceSheetType ( NXOpen::Weld::WeldPointReferenceSheetType  refSheetType)

Sets the type of sheet to create to place weld points on.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
refSheetTyperef sheet type
void NXOpen::Weld::WeldPointBuilder::SetSecondSection ( NXOpen::Section section)

Create second section
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
sectionthe section from uicomp
void NXOpen::Weld::WeldPointBuilder::SetSectionPlaneEntity ( NXOpen::Plane plane)

Sets
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
planeplane
void NXOpen::Weld::WeldPointBuilder::SetSelectionType ( NXOpen::Weld::WeldSelectionType  selectionType)

Set the selection type
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
selectionTypeselection type
void NXOpen::Weld::WeldPointBuilder::SetSequenceNumber ( int  sequenceNumber)

Sets the sequence number for the weld point feature.

Each Weld point feature contains a single point. If multiple Weld points are to be created, you must specify the sequence of the point you want. For example if you are expecting 3 points to be created. You must create 3 weld point features. The features will have sequence numbers 0,1 and 2.
Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
sequenceNumbersequence number
void NXOpen::Weld::WeldPointBuilder::SetShowThroughAssemblyState ( bool  thruAssyState)

Sets the through assy coordinate system state
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
thruAssyStatethru assy state
void NXOpen::Weld::WeldPointBuilder::SetShowThroughWorkPartState ( bool  thruWorkState)

Sets the through work coordinate system state
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
thruWorkStatethru work state
void NXOpen::Weld::WeldPointBuilder::SetSizeMethod ( NXOpen::Weld::WeldMeasurementSizeMethod  sizeMethod)

Sets the measurement size method.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
sizeMethodsize method
void NXOpen::Weld::WeldPointBuilder::SetSolidType ( NXOpen::Weld::WeldCustom  solidType)

Sets the output solid type.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
solidTypesolid type
void NXOpen::Weld::WeldPointBuilder::SetSpacingCalculateMethod ( NXOpen::Weld::WeldSpacingCalcMethod  spacingCalcMethod)

Sets the project method type.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
spacingCalcMethodspacing calc method
void NXOpen::Weld::WeldPointBuilder::SetSpacingNumber ( const NXString spacingOrNumberStr)

Sets the spacing number
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
spacingOrNumberStrexpression string
void NXOpen::Weld::WeldPointBuilder::SetSpacingNumber ( const char *  spacingOrNumberStr)

Sets the spacing number
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
spacingOrNumberStrexpression string
void NXOpen::Weld::WeldPointBuilder::SetStartDistance ( const NXString startDistStr)

Sets the start dist
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
startDistStrexpression string
void NXOpen::Weld::WeldPointBuilder::SetStartDistance ( const char *  startDistStr)

Sets the start dist
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
startDistStrexpression string
void NXOpen::Weld::WeldPointBuilder::SetStartDistanceLocation ( NXOpen::Weld::WeldParasetLocation  startDistLocation)

Sets the start dist location
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
startDistLocationstart distance location
void NXOpen::Weld::WeldPointBuilder::SetTranslateCsys ( NXOpen::CoordinateSystem translateCsys)

Sets the coordinate system that a point is to be translated about.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
translateCsystranslate csys
void NXOpen::Weld::WeldPointBuilder::SetTranslateXDistance ( const NXString transXDistStr)

Sets the tran x dist
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
transXDistStrexpression string
void NXOpen::Weld::WeldPointBuilder::SetTranslateXDistance ( const char *  transXDistStr)

Sets the tran x dist
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
transXDistStrexpression string
void NXOpen::Weld::WeldPointBuilder::SetTranslateYDistance ( const NXString transYDistStr)

Sets the trans y dist
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
transYDistStrexpression string
void NXOpen::Weld::WeldPointBuilder::SetTranslateYDistance ( const char *  transYDistStr)

Sets the trans y dist
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
transYDistStrexpression string
void NXOpen::Weld::WeldPointBuilder::SetTranslateZDistance ( const NXString transZDistStr)

Sets the translate distance for weld points in z axis direction.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
transZDistStrexpression string
void NXOpen::Weld::WeldPointBuilder::SetTranslateZDistance ( const char *  transZDistStr)

Sets the translate distance for weld points in z axis direction.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
transZDistStrexpression string
void NXOpen::Weld::WeldPointBuilder::SetWeldType ( NXOpen::Weld::WeldFeatureSetType  curWeldType)

Sets the weld type.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
curWeldTypecur weld type
bool NXOpen::Weld::WeldPointBuilder::ShowThroughAssemblyState ( )

Returns the through assy coordinate system state
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

bool NXOpen::Weld::WeldPointBuilder::ShowThroughWorkPartState ( )

Returns the through work coordinate system state
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldMeasurementSizeMethod NXOpen::Weld::WeldPointBuilder::SizeMethod ( )

Returns the measurement size method.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldCustom NXOpen::Weld::WeldPointBuilder::SolidType ( )

Returns the output solid type.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldSpacingCalcMethod NXOpen::Weld::WeldPointBuilder::SpacingCalculateMethod ( )

Returns the project method type.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

NXString NXOpen::Weld::WeldPointBuilder::SpacingNumber ( )

Returns the spacing number
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

NXString NXOpen::Weld::WeldPointBuilder::StartDistance ( )

Returns the start dist
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldParasetLocation NXOpen::Weld::WeldPointBuilder::StartDistanceLocation ( )

Returns the start dist location
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::CoordinateSystem* NXOpen::Weld::WeldPointBuilder::TranslateCsys ( )

Returns the coordinate system that a point is to be translated about.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

NXString NXOpen::Weld::WeldPointBuilder::TranslateXDistance ( )

Returns the tran x dist
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

NXString NXOpen::Weld::WeldPointBuilder::TranslateYDistance ( )

Returns the trans y dist
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

NXString NXOpen::Weld::WeldPointBuilder::TranslateZDistance ( )

Returns the translate distance for weld points in z axis direction.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

void NXOpen::Weld::WeldPointBuilder::UpdateCsys ( const NXOpen::Point3d origin,
const NXOpen::Matrix3x3 matrix 
)

Update coordinate system for selected points
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
originorigin point
matrixrotate matrix
void NXOpen::Weld::WeldPointBuilder::UpdateFirstSection ( NXOpen::Section totalSection)

Update first section
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
totalSectionthe total section
void NXOpen::Weld::WeldPointBuilder::UpdateSecondSection ( NXOpen::Section totalSection)

Update second section
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
totalSectionthe total section
NXOpen::Weld::WeldFeatureSetType NXOpen::Weld::WeldPointBuilder::WeldType ( )

Returns the weld type.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.